<?php
require("MemCachedClient.inc.php");

// set the servers, with the last one having an interger weight value of 3
$options["servers"] = array("192.168.1.50:11211");
$options["debug"] = true;

$memc = new MemCachedClient($options);


/***********************
 * STORE AN ARRAY
 ***********************/
$myarr = array("one","two", 3);
$memc->set("key_one", $myarr);
$val = $memc->get("key_one");
print $val[0]."<br>\n";	// prints 'one'
print $val[1]."<br>\n";	// prints 'two'
print $val[2]."<br>\n";	// prints 3


print "\n";


/***********************
 * STORE A CLASS
 ***********************/
class tester
{
	var $one;
	var $two;
	var $three;
}

$t = new tester;
$t->one = "one";
$t->two = "two";
$t->three = 3;
$memc->set("key_two", $t);
$val = $memc->get("key_two");
print $val->one."<br>\n";
print $val->two."<br>\n";
print $val->three."<br>\n";


print "<br>\n";


/***********************
 * STORE A STRING
 ***********************/
$memc->set("key_three", "my string",0,"foo");
$memc->set("key_four", "my string2",0,"foo");
$memc->set("key_five", "my string3",0,"bar");
$memc->set("key_six", "my string4",0,"bar");

$memc->set("key_seven", "my string3",0,array("foo","bar"));
$memc->set("key_eight", "my string4",0,"foo,bar");

$val = $memc->get("key_three");
print $val . "<br>";		// prints 'my string'


//$memc->delete("key_one");
//$memc->delete("key_two");
//$memc->delete("key_three");

$val = $memc->listkeys("test");
$memc->set("key_nine","my string5",10,"test");
echo("<pre>");
print_r($val);
echo("</pre>");

$memc->delete("key_five");

echo("tags:<br>");
$tags = $memc->listtags();
echo("<pre>");
print_r($tags);
echo("</pre>");



$val = $memc->listkeys("test,foo,bar");
echo("<pre>");
print_r($val);
echo("</pre>");
flush();

echo("Sleeping to test the expire of key_nine<br>");
sleep(15);


$val = $memc->listkeys(array("test","foo","bar"));
echo("<pre>");
print_r($val);
echo("</pre>");


$memc->disconnect_all();



print "<br>\n";


/***********************
 * STORE A BINARY FILE
 ***********************/
/*
 // first read the file and save it in memcache
$fp = fopen( "./image.jpg", "rb" ) ;
if ( !$fp )
{
	print "Could not open ./file.dat!<br>\n" ;
	exit ;
}

$data = fread( $fp, filesize( "./image.jpg" ) ) ;
fclose( $fp ) ;
print "Data length is " . strlen( $data ) . "<br>\n" ;
$memc->set( "key", $data ) ;


// now open a file for writing and write the data
// retrieved from memcache
$fp = fopen("./test.jpg","wb");
$data = $memc->get( "key" ) ;
print "Data length is " . strlen( $data ) . "\n" ;
fwrite($fp,$data,strlen( $data ));
fclose($fp);
*/

?>